CVE-2021-30858

Name
CVE-2021-30858
Description
A use after free issue was addressed with improved memory management. This issue is fixed in iOS 14.8 and iPadOS 14.8, macOS Big Sur 11.6. Processing maliciously crafted web content may lead to arbitrary code execution. Apple is aware of a report that this issue may have been actively exploited.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Release Notes https://support.apple.com/en-us/HT212807
Release Notes https://support.apple.com/en-us/HT212804
FULLDISC http://seclists.org/fulldisclosure/2021/Sep/25
FULLDISC http://seclists.org/fulldisclosure/2021/Sep/27
FULLDISC http://seclists.org/fulldisclosure/2021/Sep/29
MLIST http://www.openwall.com/lists/oss-security/2021/09/20/1
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/BO6DMTHZR57JDBOXPSNR2MKDMCRWV265/
FULLDISC http://seclists.org/fulldisclosure/2021/Sep/39
FULLDISC http://seclists.org/fulldisclosure/2021/Sep/38
DEBIAN https://www.debian.org/security/2021/dsa-4976
DEBIAN https://www.debian.org/security/2021/dsa-4975
CONFIRM https://support.apple.com/kb/HT212824
FULLDISC http://seclists.org/fulldisclosure/2021/Sep/50
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/XYNV7ASK4LQVAUMJXNXBS3Z7RVDQ2N3W/
MLIST http://www.openwall.com/lists/oss-security/2021/10/26/9
MLIST http://www.openwall.com/lists/oss-security/2021/10/27/1
MLIST http://www.openwall.com/lists/oss-security/2021/10/27/2
MLIST http://www.openwall.com/lists/oss-security/2021/10/27/4

Match rules

CPE URI Source package Min version Max version
cpe:2.3:o:apple:ipados:*:*:*:*:*:*:*:* ipados >= None < 14.8
cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:* iphone_os >= None < 14.8
cpe:2.3:o:apple:macos:*:*:*:*:*:*:*:* macos >= None < 11.6
cpe:2.3:o:apple:ipados:*:*:*:*:*:*:*:* ipados >= 13.1 < 14.8
cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:* iphone_os >= None < 12.5.5
cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:* iphone_os >= 13.0 < 14.8

Vulnerable and fixed packages

Source package Branch Version Maintainer Status